package com.wd.workoffice.ui.activity.bat.order.sale;

import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;

import com.google.android.material.tabs.TabLayout;
import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.bean.workEnum.PagePermissionType;
import com.wd.workoffice.ui.activity.bat.order.CrucibleOrderSearchActivity;
import com.wd.workoffice.ui.adapter.VpDataAdapter;
import com.wd.workoffice.ui.fg.CrucibleOrderBuyFragment;
import com.wd.workoffice.ui.fg.CrucibleOrderSaleFragment;
import com.wd.workoffice.util.WorkUtils;

import java.util.ArrayList;
import java.util.List;

import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.viewpager.widget.ViewPager;
import butterknife.BindView;
import butterknife.ButterKnife;

import static com.google.android.material.tabs.TabLayout.MODE_FIXED;

/**
 * 销售 - 坩埚订单
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class SaleCrucibleOrderActivity extends WorkToolBarActivity {

    @BindView(R.id.tl_tab)
    TabLayout tlTab;
    @BindView(R.id.vp_data)
    ViewPager vpData;
    private String tab[] = {
            "坩埚生产订单", "坩埚销售订单"};

    @Override
    protected void initView() {
        ButterKnife.bind(this);
        tlTab.setupWithViewPager(vpData);
        tlTab.setTabMode(MODE_FIXED);
    }

    @Override
    protected void initData() {
        if (!WorkUtils.hasPermission(PagePermissionType.CO_CRUCIBLE_LIST.getPermission())){
            toast(R.string.permission);
            return;
        }
        FragmentManager sfm = getSupportFragmentManager();
        List<Fragment> data = new ArrayList<>();
        CrucibleOrderBuyFragment saleFragment = new CrucibleOrderBuyFragment();
        CrucibleOrderSaleFragment applyFragment = new CrucibleOrderSaleFragment();
        Bundle bundle = new Bundle();
        bundle.putString("identity", getIntent().getStringExtra("identity"));
        saleFragment.setArguments(bundle);
        applyFragment.setArguments(bundle);
        data.add(saleFragment);
        data.add(applyFragment);
        VpDataAdapter vpFgAdapter = new VpDataAdapter(sfm, data);
        vpData.setAdapter(vpFgAdapter);
        for (int i = 0; i < tab.length; i++) {
            tlTab.getTabAt(i).setText(tab[i]);
        }
    }

    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_order;
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_search, menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.search:
                startActivity(CrucibleOrderSearchActivity.class, "identity", getIntent().getStringExtra("identity")
                ,"type",vpData.getCurrentItem()+"");
                break;
        }
        return super.onOptionsItemSelected(item);
    }
}
